package database

import "git.bvbej.com/bvbej/base-golang/pkg/trace"

type Trace = trace.T

type Option func(*option)

func WithTrace(t Trace) Option {
	return func(opt *option) {
		if t != nil {
			opt.Trace = t.(*trace.Trace)
		}
	}
}

func newOption() *option {
	return &option{}
}

type option struct {
	Trace *trace.Trace
}
